Chemistry::OpenSMILES::Aromaticity(3pm)

NAME
Chemistry::OpenSMILES::Aromaticity - Aromaticity handling routines

DESCRIPTION
Chemistry::OpenSMILES::Aromaticity encodes some aromaticity handling subroutines for aromatisation and kekulisation. Both implementations are experimental, handle only some specific cases and are neither stable nor bug-free, thus should be used with caution.

METHODS

aromatise( $moiety )
    Mark electron cycles as aromatic.

kekulise( $moiety )
    Find nonfused even-length aromatic cycles consisting only of B, C, N, P, S and mark them with aliterating single and double bonds.

electron_cycles( $moiety )
    Find electron cycles according to "Finding Electron Cycles" algorithm from <https://depth-first.com/articles/2021/06/30/writing-aromatic-smiles/>. Use with caution: the implementation is experimental.